class DataSourceHelper {
    public update(dataToUpdate: any, valueToSet: object, pk: string, itemsToUpdatePk: Array<string>, optimized: boolean = true) {
        const itemsTypeSet = new Set(itemsToUpdatePk);
        for (let i = 0; i < dataToUpdate.length; i += 1) {
            const item = dataToUpdate[i];
            if (itemsTypeSet.has(item[pk])) {
                Object.assign(item, valueToSet);
                if (optimized) {
                    itemsTypeSet.delete(item[pk]);
                    if (itemsTypeSet.size === 0) break;
                }
            }
        }
    }
}
export default new DataSourceHelper();
