--------------------------------------------------------
--  Arquivo criado - Segunda-feira-Janeiro-17-2022
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table PORTAL
--------------------------------------------------------

  CREATE TABLE "TEKNISA"."PORTAL"
   (	"ID" NUMBER(*,0),
	"NOME" VARCHAR2(60 BYTE),
	"COMPONENT" VARCHAR2(4000 BYTE),
	"CONEXAO" VARCHAR2(2000 BYTE),
	"STATUS" NUMBER DEFAULT 1,
	"NAVEGACAO" VARCHAR2(12 BYTE) DEFAULT 'component',
	"ORDEM" NUMBER DEFAULT 0,
	"ITEM" VARCHAR2(4000 BYTE) DEFAULT '{}'
   ) SEGMENT CREATION IMMEDIATE
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TEKNISA" ;
REM INSERTING into TEKNISA.PORTAL
SET DEFINE OFF;
Insert into TEKNISA.PORTAL (ID,NOME,COMPONENT,CONEXAO,STATUS,NAVEGACAO,ORDEM,ITEM) values ('6','parameters','{"name":"parameters","component":"ZdContainer","children":[{"name":"grid-breadcrumb","component":"TekBreadcrumbHeader","title":"Parametrizações","breadcrumb":{"name":"breadcrumb","items":[{"text":"Watch","href":"/watch"},{"text":"Monitoramento","href":"monitoring"},{"text":"Parâmetros","href":"parameters"}]}},{"name":"simple-card","component":"ZdCard","children":[{"name":"grid","component":"ZdTreeGrid","parentField":"PARENT_ITEM","openLevelOnLoad":1,"fetchOnDemand":false,"events":{"onMounted":"{{ParametersController.gridMounted}}","onBeforeDestroy":"{{ParametersController.gridBeforeDestroy}}"},"toolbarSlot":[{"name":"toolbarRow","component":"ZdRow","children":[{"name":"textResult","component":"ZdText","text":"Parametrizações dos sistemas","tag":"h2","cssClass":"zd-text toolbar-title"},{"name":"vSpace","component":"VSpacer"},{"name":"grid-search-general","component":"ZdSearch","iterableComponentName":"grid","cssClass":"zd-ml-4 zd-pt-1"}]}],"columns":[{"name":"NAME","label":"Nome","sortable":false},{"name":"ERROR","label":"Erros"}],"datasource":{"uniqueKey":"ID","order":["STATUS.asc"]},"loadAll":true,"lazyLoad":true}]}]}','{"conexao":[{"type":"Socket","route":"login","args":{"email":"francismar.araujo@teknisa.com","password":"nineninenine","slave":false}},{"type":"Socket","route":"parameters","args":null}]}','1','monitoring','1','{"name":"parameters","label":"Parâmetros","type":"action","children":[{"name":"btnMessageParameters","component":"ZdButton","icon":true,"small":true,"color":"green","iconName":"mdi-brightness-1","events":{"click":"{{WatchController.push}}"},"conditions":{"color":"{{WatchController.getConditionalColumnStyle}}"}}]}');
Insert into TEKNISA.PORTAL (ID,NOME,COMPONENT,CONEXAO,STATUS,NAVEGACAO,ORDEM,ITEM) values ('5','sat','{"name":"sat","component":"ZdContainer","children":[{"name":"grid-breadcrumb","component":"TekBreadcrumbHeader","title":"Watch","breadcrumb":{"name":"breadcrumb","items":[{"text":"Watch","href":"/watch"},{"text":"Monitoramento","href":"monitoring"},{"text":"Sat","href":"sat"}]}},{"name":"grid","component":"ZdCard","children":[{"name":"simple-grid","component":"TekGrid","title":"{{WatchController.title}}","events":{"onMounted":"{{WatchController.gridMounted}}","onBeforeDestroy":"{{WatchController.gridBeforeDestroy}}"},"columns":[{"name":"NAME","label":"Nome","sortable":false},{"name":"STATUS","label":"Status","type":"action","children":[{"name":"tooltipTop","component":"ZdTooltip","right":true,"conditions":{"label":"{{WatchController.getConditionalMessage}}"},"children":[{"name":"btnMessageSat","component":"ZdButton","icon":true,"small":true,"color":"green","iconName":"mdi-brightness-1","conditions":{"color":"{{WatchController.getConditionalStyle}}"}}]}]}],"datasource":{"uniqueKey":"NAME","order":["STATUS.asc"]}}]}]}','{"conexao":[{"type":"Socket","route":"login","args":{"email":"francismar.araujo@teknisa.com","password":"nineninenine","slave":false}},{"type":"Socket","route":"sat","args":null}]}','1','monitoring','0','{"name":"sat","label":"SAT","type":"action","children":[{"name":"btnMessageSat","component":"ZdButton","icon":true,"small":true,"iconName":"mdi-brightness-1","events":{"click":"{{WatchController.push}}"},"conditions":{"color":"{{WatchController.getConditionalColumnStyle}}"}}]}');
Insert into TEKNISA.PORTAL (ID,NOME,COMPONENT,CONEXAO,STATUS,NAVEGACAO,ORDEM,ITEM) values ('1','monitoring','{"name":"monitoring","component":"ZdContainer","children":[{"name":"grid-breadcrumb","component":"TekBreadcrumbHeader","title":"Monitoramento","breadcrumb":{"name":"breadcrumb","items":[{"text":"Watch","href":"/watch"},{"text":"Monitoramento","href":"monitoring"}]}},{"name":"simple-card","component":"ZdCard","children":[{"name":"simple-grid","component":"TekGrid","title":"Monitoramento","events":{"onMounted":"{{WatchController.gridMounted}}","onBeforeDestroy":"{{WatchController.gridBeforeDestroy}}"},"columns":[{"name":"id","label":"CD. Filial","events":{}},{"name":"name","label":"Nome da Filial"},{"name":"websocket","label":"Conexão","type":"action","children":[{"name":"btnMessageWebsocket","component":"ZdButton","icon":true,"small":true,"color":"green","iconName":"mdi-brightness-1","conditions":{"color":"{{WatchController.getConditionalColumnStyle}}"}}]}]}],"datasource":{"uniqueKey":"id"}}]}','{"conexao":[{"type":"Socket","route":"login","args":{"email":"francismar.araujo@teknisa.com","password":"nineninenine","slave":false}}]}','1','component','0','{}');
Insert into TEKNISA.PORTAL (ID,NOME,COMPONENT,CONEXAO,STATUS,NAVEGACAO,ORDEM,ITEM) values ('2','sefaz','{"name":"sefaz","component":"ZdContainer","children":[{"name":"grid-breadcrumb","component":"TekBreadcrumbHeader","title":"Sefaz","breadcrumb":{"name":"breadcrumb","items":[{"text":"Watch","href":"/watch"},{"text":"Monitoramento","href":"monitoring"},{"text":"Sefaz","href":"sefaz"}]}},{"name":"simple-card","component":"ZdCard","children":[{"name":"simple-grid","component":"TekGrid","title":"Monitoramento da Sefaz","events":{"onMounted":"{{WatchController.gridMounted}}","onBeforeDestroy":"{{WatchController.gridBeforeDestroy}}"},"columns":[{"name":"dsestado","label":"Estado"},{"name":"cdservvirtual","label":"Autorizador"},{"name":"idnormal","label":"Normal","type":"action","children":[{"name":"tooltipTopNormal","component":"ZdTooltip","right":true,"conditions":{"label":"{{WatchController.getConditionalNormal}}"},"children":[{"name":"btnMessageNormal","component":"ZdButton","icon":true,"small":true,"color":"green","iconName":"mdi-brightness-1","conditions":{"color":"{{WatchController.getConditionalStyleNormal}}"}}]}]},{"name":"idscan","label":"SCAN","type":"action","children":[{"name":"tooltipTopScan","component":"ZdTooltip","right":true,"conditions":{"label":"{{WatchController.getConditionalScan}}"},"children":[{"name":"btnMessageScan","component":"ZdButton","icon":true,"small":true,"color":"green","iconName":"mdi-brightness-1","conditions":{"color":"{{WatchController.getConditionalStyleScan}}"}}]}]},{"name":"idsvc","label":"SVC","type":"action","children":[{"name":"tooltipTopSvc","component":"ZdTooltip","right":true,"conditions":{"label":"{{WatchController.getConditionalSvc}}"},"children":[{"name":"btnMessageSvc","component":"ZdButton","icon":true,"small":true,"color":"green","iconName":"mdi-brightness-1","conditions":{"color":"{{WatchController.getConditionalStyleSvc}}"}}]}]}],"datasource":{"uniqueKey":"dsestado","order":["dsestado.asc"]}}]}]}','{"conexao":[{"type":"Socket","route":"login","args":{"email":"francismar.araujo@teknisa.com","password":"nineninenine","slave":false}},{"type":"Socket","route":"sefaz","args":null}]}','1','monitoring','2','{"name":"sefaz","label":"Sefaz","type":"action","children":[{"name":"btnMessageSefaz","component":"ZdButton","icon":true,"small":true,"color":"green","iconName":"mdi-brightness-1","events":{"click":"{{WatchController.push}}"},"conditions":{"color":"{{WatchController.getConditionalColumnStyle}}"}}]}');
Insert into TEKNISA.PORTAL (ID,NOME,COMPONENT,CONEXAO,STATUS,NAVEGACAO,ORDEM,ITEM) values ('3','delivery','{"name":"deliveryModal","component":"ZdContainer","children":[{"name":"grid-breadcrumb","component":"TekBreadcrumbHeader","title":"Delivery","breadcrumb":{"name":"breadcrumb","items":[{"text":"Watch","href":"/watch"},{"text":"Monitoramento","href":"monitoring"},{"text":"Delivery","href":"delivery"}]}},{"name":"grid","component":"ZdCard","children":[{"name":"simple-grid","component":"TekGrid","title":"Monitoramento do Delivery","events":{"onMounted":"{{WatchController.gridMounted}}","onBeforeDestroy":"{{WatchController.gridBeforeDestroy}}"},"columns":[{"name":"loja","label":"Loja"},{"name":"venda","label":"Venda"},{"name":"data","label":"Data"},{"name":"delivery","label":"Delivery","type":"action","children":[{"name":"btnMessageDelivery","component":"ZdButton","icon":true,"small":true,"iconName":"mdi-brightness-1","conditions":{"color":"{{WatchController.getConditionalColumnStyle}}"}}]}],"datasource":{"uniqueKey":"venda","order":["delivery.asc"]}}]}]}','{"conexao":[{"type":"Socket","route":"login","args":{"email":"francismar.araujo@teknisa.com","password":"nineninenine","slave":false}},{"type":"Socket","route":"salesDelivery","args":null}]}','1','monitoring','0','{"name":"delivery","label":"Vendas Delivery","type":"action","children":[{"name":"btnMessageVendasDelivery","component":"ZdButton","icon":true,"small":true,"color":"green","iconName":"mdi-brightness-1","events":{"click":"{{WatchController.push}}"},"conditions":{"color":"{{WatchController.getConditionalColumnStyle}}"}}]}');
Insert into TEKNISA.PORTAL (ID,NOME,COMPONENT,CONEXAO,STATUS,NAVEGACAO,ORDEM,ITEM) values ('4','vendas','{"name":"venda","component":"ZdContainer","children":[{"name":"grid-breadcrumb","component":"TekBreadcrumbHeader","title":"Monitoramento","breadcrumb":{"name":"breadcrumb","items":[{"text":"Watch","href":"/watch"},{"text":"Monitoramento","href":"monitoring"},{"text":"Vendas","href":"vendas"}]}},{"name":"grid","component":"ZdCard","children":[{"name":"simple-grid","component":"TekGrid","title":"{{WatchController.title}}","events":{"onMounted":"{{WatchController.gridMounted}}","onBeforeDestroy":"{{WatchController.gridBeforeDestroy}}"},"columns":[{"name":"nvenda","label":"Venda"},{"name":"nf","label":"NF"},{"name":"message","label":"Status","type":"action","children":[{"name":"tooltipTop","component":"ZdTooltip","right":true,"conditions":{"label":"{{WatchController.getConditionalMessage}}"},"children":[{"name":"btnMessageMesa","component":"ZdButton","icon":true,"small":true,"color":"green","iconName":"mdi-brightness-1","conditions":{"color":"{{WatchController.getConditionalStyle}}"}}]}]}],"datasource":{"uniqueKey":"nf","order":["mesa.asc","comanda.asc"]}}]}]}','{"conexao":[{"type":"Socket","route":"login","args":{"email":"francismar.araujo@teknisa.com","password":"nineninenine","slave":false}},{"type":"Socket","route":"sales","args":null}]}','1','monitoring','0','{"name":"vendas","label":"Vendas","type":"action","children":[{"name":"btnMessageVendas","component":"ZdButton","icon":true,"small":true,"iconName":"mdi-brightness-1","events":{"click":"{{WatchController.push}}"},"conditions":{"color":"{{WatchController.getConditionalColumnStyle}}"}}]}');
--------------------------------------------------------
--  DDL for Index PK_PORTAL
--------------------------------------------------------

  CREATE UNIQUE INDEX "TEKNISA"."PK_PORTAL" ON "TEKNISA"."PORTAL" ("ID")
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TEKNISA" ;
--------------------------------------------------------
--  Constraints for Table PORTAL
--------------------------------------------------------

  ALTER TABLE "TEKNISA"."PORTAL" MODIFY ("NOME" NOT NULL ENABLE);
  ALTER TABLE "TEKNISA"."PORTAL" MODIFY ("COMPONENT" NOT NULL ENABLE);
  ALTER TABLE "TEKNISA"."PORTAL" MODIFY ("CONEXAO" NOT NULL ENABLE);
  ALTER TABLE "TEKNISA"."PORTAL" MODIFY ("STATUS" NOT NULL ENABLE);
  ALTER TABLE "TEKNISA"."PORTAL" MODIFY ("NAVEGACAO" NOT NULL ENABLE);
  ALTER TABLE "TEKNISA"."PORTAL" MODIFY ("ITEM" NOT NULL ENABLE);
  ALTER TABLE "TEKNISA"."PORTAL" ADD CONSTRAINT "PK_PORTAL" PRIMARY KEY ("ID")
  USING INDEX "TEKNISA"."PK_PORTAL"  ENABLE;
